> For the complete documentation index, see [llms.txt](https://shoppa.gitbook.io/knowledge-hub/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://shoppa.gitbook.io/knowledge-hub/api-documentation/xml-structure/local-integration/display-groups.md).

# Display groups

## Display groups

Display groups are managed through the Shoppa client. Each display group can reference multiple layouts and formats of multiple templates, and also a different number of copies for each. The most common use case is one copy of one format/layout/template.

### DisplayGroups.xml

The file DisplayGroups.xml is located in the sub folder *Schemas* in the hot folder. It is automatically generated by the Shoppa client, and contains information about the available display groups. It could look something like this:

```markup
<?xml version="1.0"?>
<DisplayGroups xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" Customer="1143" Created="2019-09-19T15:11:06.4876855+02:00">
    <Items>
        <DisplayGroup Id="1fa465e2-ce62-484e-a0b6-a26da2dc9c6c" Name="Member/limited time" Customer="1143" Public="true">
            <Members>
                <DisplayGroupMember Template="Member products" Layout="Limited time offer" Format="A4" Copies="1" />
            </Members>
        </DisplayGroup>
        <DisplayGroup Id="38988a59-5c03-4876-bb34-c016575b5936" Name="Member/shelf" Customer="1143" Public="true">
            <Members>
                <DisplayGroupMember Template="Member products" Layout="Shelf label" Format="148,5x52,5" Copies="1" />
            </Members>
        </DisplayGroup>
        <DisplayGroup Id="73c94b65-560c-4f74-a667-198676fd5eac" Name="Posters" Customer="1143" Public="true">
            <Members>
                <DisplayGroupMember Template="Poster" Layout="Vertical" Format="700x1000" Copies="2" />
                <DisplayGroupMember Template="Poster" Layout="Horizontal" Format="700x1000" Copies="1" />
            </Members>
        </DisplayGroup>
    </Items>
</DisplayGroups>
```

Each group has a name, an Id and at least one member, groups without members are omitted from the file. Each member references a template, a layout, a format and a number of copies.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://shoppa.gitbook.io/knowledge-hub/api-documentation/xml-structure/local-integration/display-groups.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
